Summary: 	A utility for displaying and/or setting hard disk parameters.
Name: 		hdparm
Group: 		Applications/System
License: 	BSD
Version: 	6.1
Release:	1
Source0: 	http://easynews.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:		hdparm-6.1-engarde-gd-1.diff
Buildroot: 	%{_tmppath}/%{name}-%{version}-root

%description
Hdparm is a useful system utility for setting (E)IDE hard drive
parameters.  For example, hdparm can be used to tweak hard drive
performance and to spin down hard drives for power conservation.

%files
  %defattr(-,root,root)
  %doc %{_mandir}/man?/*
  %attr(0640,root,admin)	%config(noreplace) %{_sysconfdir}/default/harddisks
  %attr(0700,root,root)		%{_sysconfdir}/init.d/harddisks
  %attr(0500,root,root)		%{_root_sbindir}/hdparm

%prep
%setup -q
%patch0 -p1

%build
  make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_mandir}/man8
  install -d $RPM_BUILD_ROOT/%{_sbindir}
  install -d $RPM_BUILD_ROOT/%{_sysconfdir}/{default,init.d}

  %makeinstall

  #
  # Install auxillary files.
  #
  install engarde/hdparm.config $RPM_BUILD_ROOT/%{_sysconfdir}/default/harddisks
  install engarde/hdparm.init   $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/harddisks

  #
  # Move the hdparm binary to the root filesystem.
  #
  pushd $RPM_BUILD_ROOT
    install -d ./%{_root_sbindir}
    mv ./%{_sbindir}/hdparm ./%{_root_sbindir}
    rm -fr ./%{_sbnidir}
  popd
 
%post
  /sbin/chkconfig --add harddisks > /dev/null 2>&1 || :

%preun
  /sbin/chkconfig --del harddisks > /dev/null 2>&1 || :
 
%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 5.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
